<!--
  🔧 GitLab Review-Template
  – Entferne oder passe Abschnitte an nach Bedarf
  – Markiere den Review-Typ und setze Häkchen bei erledigten Punkten
-->

## 🎯 Review-Übersicht

- **Reviewer:** @
- **Datum:** YYYY-MM-DD
- **Review-Typ:**
  - [ ] Code
  - [ ] Dokumentation
  - [ ] Allgemeines Feedback
- **Ziel / Scope:** Kurze Beschreibung des geprüften Inhalts

---

## 📚 Kontext

> Fasse zusammen, worum es geht, verlinke Ticket, Issue, Spezifikation,
> Live-Demo …

---

## ✅ Was gut ist

- [ ] Erfüllt die Anforderungen
- [ ] Sauber strukturierter Code / klare Dokumentation
- [ ] Verständliche Kommentare / Beispiele
- **Stärken:**
  - Punkt 1
  - Punkt 2

---

## 🛠 Gefundene Probleme & Risiken

- [ ] Fehler in Logik / Typos
- [ ] Fehlende Tests / unklare Schnittstellen
- [ ] Inkonsistente Benennung / Formatierung
- **Details:**
  1. Problem A – Ort, Fehlermeldung, Reproduktion
  2. Problem B – Ort, Auswirkung

---

## 💡 Vorschläge & Empfehlungen

- Kurze, konkrete Verbesserungsideen:
  - ☑️ Refactor: …
  - ☑️ Ergänze Tests für …
  - ☑️ Dokumentiere / Beispiel hinzufügen für …
- Alternative Ansätze:

---

## 🔍 Offene Fragen

1. Ist der Use-Case X abgedeckt?
2. War die Performance unter Last geprüft?
3. Weitere Unklarheiten: …

---

## 🚀 Nächste Schritte

- [ ] Autor nimmt Änderungen vor
- [ ] Zweitrunde Review geplant für YYYY-MM-DD
- [ ] Tests / CI-Pipeline erfolgreich
